SafeSquid for Linux SWG safesquid-2018.0917.1410.3-swg-standard released

From Secure Web Gateway
Share/Save/Bookmark
Revision as of 17:35, 17 September 2018 by Santosh.thorat (talk | contribs) (Created page with " '''Bugfixes''' #Typographical error in net_proxy function leading to Segmentation Fault.<br/> Abnormal termination (Segmentation Fault) was detected when SafeSquid handled c...")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Bugfixes

  1. Typographical error in net_proxy function leading to Segmentation Fault.
    Abnormal termination (Segmentation Fault) was detected when SafeSquid handled connections for which SSL inspection was bypassed.
    Users of Google Drive client (desktop application) reported this anomaly.
    The root cause was identified to be a typographical error in the software routine that handled direct socket to socket transfers.
    This flaw remain undetected in simulated tests prior to release, as it occurs in a rare event of remote server half-closing connection while the client is still sending data.
  2. A logical error was detected in the Access profiles section.
    This error led to mis-interpretation if the users set a single negated entry in the request types rule in an Access Profiles entry.
    Example> If you wanted to create a policy that impacted all requests, except those from Internet Browsers, you would have set the request types rule in the entry to !Internet Browsers. This would get mis-interpreted and cause the entry to be applicable to all requests including Internet Browsers.
    Identified root cause and fixed.

 

New Users? Getting_Started

Download SafeSquid ISO to create your appliance.

Download safesquid-2018.0917.1410.3-swg-standard.tar.gz tarball for up-gradation or If you already have Linux 14.04 machine.